## GimpEnumLabel

GimpEnumLabel — A GtkLabel subclass that displays an enum value.

## Functions

GtkWidget * | gimp_enum_label_new ()
void | gimp_enum_label_set_value ()

## Properties

GType * | enum-type | Read / Write / Construct Only
gint | enum-value | Write / Construct

## Types and Values

| GimpEnumLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkLabel
                            ╰── GimpEnumLabel

## Implemented Interfaces

GimpEnumLabel implements AtkImplementorIface and GtkBuildable.

## Description

A GtkLabel subclass that displays an enum value.

## Functions

### gimp_enum_label_new ()

    GtkWidget *
    gimp_enum_label_new (GType enum_type,
                         gint value);

#### Parameters

enum_type | the GType of an enum. |

#### Returns

a new GimpEnumLabel.

Since GIMP 2.4

### gimp_enum_label_set_value ()

    void
    gimp_enum_label_set_value (GimpEnumLabel *label,
                               gint value);

#### Parameters

label | a GimpEnumLabel |

Since GIMP 2.4

## Types and Values

### GimpEnumLabel

    typedef struct _GimpEnumLabel GimpEnumLabel;

## Property Details

### The `“enum-type”` property

      “enum-type”                GType *

The GType of the enum.

Flags: Read / Write / Construct Only

Allowed values: void

Since GIMP 2.8

### The `“enum-value”` property

      “enum-value”               gint

The value to display.

Flags: Write / Construct

Default value: 0

Since GIMP 2.8